unit UClass.TAritmeticaBasica;

interface

uses
  System.Generics.Collections;

type
  // Type form integerlist
  TIntegerList = TList<Integer>;

  // Clase para clculos aritmticos
  TAritmeticaBasica = class
  public
    // Devuelve si el nmero es primo
    function EsNumeroPrimo(const ANumero:int64):boolean;
    // Calcula el mximo comn Divisor de 2 nmeros enteros
    function MaximoComunDivisor(const ANumero1, ANumero2:int64):int64;
    // Calcula en Minimo comun Multiplo de 2 nmeros enteros
    function MinimoComunMultiplo(const ANumero1, ANumero2:int64):int64;
    // Calcula la factorizacion de un nmero entero
    procedure Factorizacion(ANumero: int64; ALista:TIntegerList);
  end;


implementation


function TAritmeticaBasica.EsNumeroPrimo(const ANumero: int64): boolean;
begin
  Result := True;
end;

procedure TAritmeticaBasica.Factorizacion(ANumero: int64; ALista:TIntegerList);
begin
  ALista.Clear;
end;

function TAritmeticaBasica.MaximoComunDivisor(const ANumero1, ANumero2: int64): int64;
begin
  Result := 0;
end;

function TAritmeticaBasica.MinimoComunMultiplo(const ANumero1, ANumero2: int64): int64;
begin
  Result := 0;
end;

end.
